"use strict";

const allowExtraProperties = require("@validatem/allow-extra-properties");
const isValue = require("@validatem/is-value");
const wrapError = require("@validatem/wrap-error");
const required = require("@validatem/required");

module.exports = wrapError("Must be a Modular Matrix session", "modular-matrix.is-session", [
	allowExtraProperties({ _modularMatrixSession: [ required, isValue(true) ] })
]);
